display.h File Reference

This file contains functions for printing strings to standard error. More...

Go to the source code of this file.

## Functions

void | display (const string &msg, const string &prepend="")
| Display msg to standard error with automatic line breaking.
void | displayNote (const string &msg)
| Display msg to standard error in a way that indicates that this is something that the user should take note of but that is not an error.
void | displayError (const string &msg)
| Display msg to standard error in a way that indicates that it is an error.
void | displayInternalError (const string &errorMsg)
| Display msg to standard in a way that indicates that it is an internal error.
void | displayException (const std::exception &exception)
| Display the message of exception.

## Detailed Description

This file contains functions for printing strings to standard error.

They all perform automatic line breaking suitable for printing to a console.

Definition in file display.h.

## Function Documentation

## display()

void display | ( | const string & | msg,
|  | const string & | prepend = "" )

Display msg to standard error with automatic line breaking.

If a automatically broken line begins with whitespace, that whitespace is repeated in front of every line that is generated from breaking it.

Parameters

  prepend | Print this in front of every line that is printed.

Definition at line 131 of file display.cpp.

## displayError()

void displayError | ( | const string & | msg | ) |

Display msg to standard error in a way that indicates that it is an error.

Definition at line 139 of file display.cpp.

## displayException()

void displayException | ( | const std::exception & | exception | ) |

Display the message of exception.

Definition at line 147 of file display.cpp.

## displayInternalError()

void displayInternalError | ( | const string & | errorMsg | ) |

Display msg to standard in a way that indicates that it is an internal error.

Definition at line 143 of file display.cpp.

## displayNote()

void displayNote | ( | const string & | msg | ) |

Display msg to standard error in a way that indicates that this is something that the user should take note of but that is not an error.

Definition at line 135 of file display.cpp.